@import "../../shared/config";

.toggle-topsearch
{
  cursor: pointer;
}

.topsearch
{
  background-color: $primarycolor;
  transition: height 0.4s;
  overflow: hidden;
  height: 0;

    html.show-topsearch &
  , html.searchpage &
  {
    height: 84px;
  }

  & > form
  {
    padding: $contentpadding;
    position: relative;
    max-width: $maxrtdwidth + 2*$contentpadding;
    margin: 0 auto;

    & > *
    {
      outline: none;
      -webkit-appearance: none;
      -moz-appearance: none;
      -o-appearance: none;
      appearance: none;
      height: 44px;
      border: 0 none;
      font-size: 16px;
    }

    input
    {
      border-radius: 3px;
      width: 100%;
      padding: 12px 45px 12px 15px;
      line-height: 20px;
      background-color: #fff;
    }

    button
    {
      position: absolute;
      right: 20px;
      top: 20px;
      font-size: inherit;
      vertical-align: bottom;
      display: inline-block;
      cursor: pointer;
      width: 44px;
      line-height: 32px;
      padding: 0;
      background-color: transparent;
    }
  }
}

.searchresults
{
  margin-top: 50px;

  ul
  {
    list-style-type: none;
    padding: 30px 0 0;
    margin: 0;

    & > li
    {
      padding-bottom: 30px;
    }
  }


  a
  {
    color: inherit;
    text-decoration: none;
    line-height: 170%;

    .title
    {
      font: 700 18px/120% 'Montserrat', sans-serif, Arial;
      padding-bottom: 5px;
    }

    .link
    {
      padding-top: 5px;
      color: $primarycolor;
    }

    &:hover .link
    {
      text-decoration: underline;
    }

    & > *
    {
      display: block;
      max-width: 100%;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
}
